/** @param {import(".").NS } ns */
export async function main(ns) {
    // ns.disableLog('ALL');

    function checkFactionCompletion(factionName){
        let complete = true;
        let ownedAugumentations = ns.singularity.getOwnedAugmentations(true);
        for (const augumentation of ns.singularity.getAugmentationsFromFaction(factionName)) {
            complete = complete && ownedAugumentations.indexOf(augumentation) != -1;
        }

        return complete;
    }

    ns.tprint(checkFactionCompletion('CyberSec') );
    ns.tprint(checkFactionCompletion('Aevum') );
}